<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width,initial-scale=1.0" />
    <link rel="stylesheet" href="css/gl-design.css" as="style" />
    <link rel="stylesheet" href="css/style.css" as="style" />
    <title>GitLab SDK Example</title>
  </head>
  <body class="ui-indigo app-styles">
    <div>
      <div class="cookie-consent-banner">
        <div class="banner-text">
          <p>
            We use cookies to ensure you get the best experience on our website.
            By using our site, you agree to our <a href="#">Privacy Policy</a>.
          </p>
        </div>
        <div class="banner-buttons">
          <button class="accept-btn">Accept</button>
          <button class="decline-btn">Decline</button>
        </div>
      </div>
    </div>
    <div class="gl-pt-13">
      <div class="content limited distributed">
        <h1>GitLab Application SDK Example</h1>
        <p>
          This page sends automatically a pageview event and on click a tracking
          event with the id
          <code>click</code>. This demo is set to an imaginary URL of
          <code>test.gl.com</code> which then results in failed network calls.
        </p>

        <div class="gl-pb-5">
          <a
            type="button"
            id="trackLink"
            href="https://www.gitlab.com"
            target="_blank"
          >
            Track Link
          </a>
        </div>
        <button
          type="button"
          class="btn btn-primary btn-md gl-button"
          id="testClickBtn"
        >
          Track event
        </button>
        <button
          type="button"
          class="btn btn-primary btn-md gl-button"
          id="trackErrorBtn"
        >
          Track error
        </button>

        <button
          type="button"
          class="btn btn-primary btn-md gl-button"
          id="testIdBtn"
        >
          Identify with ID 123
        </button>
      </div>
    </div>
    <script src="main.js"></script>
  </body>
</html>
